﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Client
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("When the service is ready, press any key to countinue!");
            Console.ReadKey(true);

            MyServiceClient client = new MyServiceClient();
            client.Endpoint.Behaviors.Add(new MyMessageInspector());
            client.Open();
            try
            {
                int result = client.CauseExceptionByDivideZero(10, 0);

                Console.WriteLine("The result is: {0}", result);
            }
            catch (Exception e)
            {
                Console.WriteLine("Error: " + e.Message);
            }
            finally
            {
                client.Close();
            }

            Console.ReadKey(true);
        }
    }
}
